%global __brp_check_rpaths %{nil}
%global packname  whitening
%global packver   1.4.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.4.0
Release:          1%{?dist}%{?buildtag}
Summary:          Whitening and High-Dimensional Canonical Correlation Analysis

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-corpcor >= 1.6.10
BuildRequires:    R-stats 
Requires:         R-CRAN-corpcor >= 1.6.10
Requires:         R-stats 

%description
Implements the whitening methods (ZCA, PCA, Cholesky, ZCA-cor, and
PCA-cor) discussed in Kessy, Lewin, and Strimmer (2018) "Optimal whitening
and decorrelation", <doi:10.1080/00031305.2016.1277159>, as well as the
whitening approach to canonical correlation analysis allowing negative
canonical correlations described in Jendoubi and Strimmer (2019) "A
whitening approach to probabilistic canonical correlation analysis for
omics data integration", <doi:10.1186/s12859-018-2572-9>. The package also
offers functions to simulate random orthogonal matrices, compute
(correlation) loadings and explained variation. It also contains four
example data sets (extended UCI wine data, TCGA LUSC data, nutrimouse
data, extended pitprops data).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
